/*
2000 Microsoft Corporation. All rights reserved.
*/
var vidIsRunning = false;

function Init(){
	onPlayStateChange();
    vidIsRunning = (player.openState == osMediaOpen) && (player.currentMedia.ImageSourceWidth > 0);
	if(vidIsRunning){
		StartVideo();
	}
	else{
		EndVideo();
	}
}

function onPlayStateChange(){
    if(player.playState == 6){
		mdpiece.visible = true;
		mdtext.value = "buffering";
    }
    else if(player.playState == 7){
		mdpiece.visible = true;
		mdtext.value = "waiting";
    }
    else if(player.playState == 2){
		mdpiece.visible = true;
		mdtext.value = "paused";
    }
	else if(player.playState == 1){
		mdpiece.visible = false;
	}
	else if(player.playState == 3){
		mdpiece.visible = false;
	}
}

function OnModeChange(){
	repeatbutton.down = player.settings.getmode("loop");
}

function StartVideo(){
	if(smallanemone.visible == true){
		smallanemone.visible = false;
		largeanemone.visible = true;
		blback.visible = true;
	}
	visEffects.visible = false;
	playlisttray.visible = false;
	playlistcontrol.visible = false;
	controlstray.visible = false;
    vid.visible = vidIsRunning = true;
	vidtray.visible = true;
	myview.width = 635;
	myview.height = 268;
}

function EndVideo(){
	visEffects.visible = true;
    vid.visible = vidIsRunning = false;
    vidtray.visible = false;
	if(playlisttray.visible == false && controlstray.visible == false){
		myview.width = 321;
		myview.height = 268;
	}
}

function setVisibility(newPane){
    switch(newPane){
		case "closePlaylist":
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		myview.width = 321;
		myview.height = 268;
		plb.down = false;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;
		
		case "openPlaylist":
		if(plb.down == true){
			vid.visible = false;
			vidtray.visible = false;
			controlstray.visible = false;
			playlisttray.visible = true;
			playlistcontrol.visible = true;
			myview.width = 635;
			myview.height = 268;
		}
		else{
			setVisibility("closePlaylist")
		}
		break;
		
		case "closeAudioControls":
		controlstray.visible = false;
		myview.width = 321;
		myview.height = 268;
		acb.down = false;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;
		
		case "openAudioControls":
		if(acb.down == true){
			vid.visible = false;
			vidtray.visible = false;
			playlisttray.visible = false;
			playlistcontrol.visible = false;
			controlstray.visible = true;
			myview.width = 635;
			myview.height = 268;
		}
		else{
			setVisibility("closeAudioControls")
		}
		break;
    }
}

function switchToSmall(){
	if(vidIsRunning == false){
		largeanemone.visible = false;
		visEffects.visible = false;
		blback.visible = false;
		smallanemone.visible = true;
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		controlstray.visible = false;
		mdpiece.visible = false;
		myview.width = 169;
		myview.height = 152;
	}
}

function switchToLarge(){
	smallanemone.visible = false;
	largeanemone.visible = true;
	visEffects.visible = true;
	blback.visible = true;
	myview.width = 321;
	myview.height = 268;
}